complexType "Exception"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 7 elements
Defined: | globally in fpml-msg-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 19 locations

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber??)?, reason*, additionalData?
</...>

Content Model Elements (7):

  additionalData (defined in Exception.model group), correlationId, header (defined in Exception complexType), parentCorrelationId, | reason (defined in Exception.model group), sequenceNumber (defined in Sequence.model group), validation

All Direct / Indirect Based Elements (19):

  collateralAcceptanceException, collateralAllocationException, creditEventException, disputeException, eventActivityReportException, eventStatusException, exposureReportException, marginException, messageRejected, nettedTradeCashflowsException, nonpublicExecutionReportException, partyReportException, positionActivityReportException, positionReportException, resetReportException, serviceNotificationException, terminatingEventsReportException, valuationReportException, verificationStatusException

Known Usage Locations

- As direct type of elements (19):
  collateralAcceptanceException, collateralAllocationException, creditEventException, disputeException, eventActivityReportException, eventStatusException, exposureReportException, marginException, messageRejected, nettedTradeCashflowsException, nonpublicExecutionReportException, partyReportException, positionActivityReportException, positionReportException, resetReportException, serviceNotificationException, terminatingEventsReportException, valuationReportException, verificationStatusException

Annotation
A type defining the basic content for a message sent to inform another system that some exception has been detected.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) Exception

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="Exception"> <xsd:complexContent> <xsd:extension base="Message"> <xsd:sequence> <xsd:element minOccurs="0" name="header" type="ExceptionMessageHeader"/> <xsd:group ref="Validation.model"/> <xsd:group minOccurs="0" ref="CorrelationAndOptionalSequence.model"/> <xsd:group ref="Exception.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/7)
header

  Type: | ExceptionMessageHeader, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="header" type="ExceptionMessageHeader"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.